2018-11-21 04:34 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005138GNUnetbuild processpublic2018-10-30 19:03
Reporterng0 
Assigned Tong0 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionSVN HEAD 
Summary0005138: decide on the minimal required Texinfo version
DescriptionSomeone using Debian 8 reported they are using texlive 5.2.
Now texinfo-5.2 has a release date of 2013-09-26 19:17.
GNU Guix and GuixSD uses Texinfo 6.5 (which is what I've been using to build the documentation). Gentoo, another reported problem system, has marked texinfo-6.3 as stable, 6.4 + 6.5 are still "unstable" in their dictionary. 6.3 was released on 2016-09-10 16:31.
I think it's unreasonable to demand support for a software released in 2013 with 1 major release number increase between then and now. However we also need to consider universal support.

I can build with 4.13a, 5.2, 6.3, 6.4 and 6.5 on my system, but we need to set a minimal requirement.
(--Ideally this is achieved with votes of people (packagers / package contributors to operating systems) on the minimal versions.--)

We also need Texlive, which is currently just assuming the full distribution of Texlive and on my end in version "2017".
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
child of 0005141resolvedng0 documentation meta-issue 
+Relationships

-Notes

~0012434

ng0 (developer)

I forgot that we already have 'Texlive >= 2012' for gnunet-bcd. Wheezy Debian (oldstable) is still on some 2012 version of Texlive. Personally I think encouraging to keep very old software versions around is not very good use, but I'll try to check the documentation building against Texlive-2012. Should work out alright.

As per feedback and discussion in different places, trying to support Texinfo-5.2 is the temporary decision. Only building will show if this holds to be true.

~0012462

Christian Grothoff (manager)

My general opinion is requiring Debian stable is generally totally acceptable, and in exceptions we can even require something more recent (if justified).

~0012467

ng0 (developer)

Yes, I agree.
The only action left on this bug is now to provide a check in the build system for it.

~0012816

ng0 (developer)

> The only action left on this bug is now to provide a check in the build system for it.

Is this fixed? I can't recall if I fixed it or not.

~0013078

Christian Grothoff (manager)

The check in the build system is still missing.

~0013299

ng0 (developer)

I am confident that https://gnunet.org/git/gnunet.git/commit/?id=62355a754eb4f3e8aa9e9e514ae1bb0e28f51 is a (first) solution to fix the "detect version" requirement.

In general: WTF? comparing string to integer in m4, which was my first attempt, as a result of grep + cut + --version and "5.2", is way too annoying. Why don't we have min/max versions in the MISSING_PROG macro? Annoyance^10.

If this doesn't work, file new bugs.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-24 13:10 ng0 New Issue
2017-09-24 13:13 ng0 Description Updated View Revisions
2017-09-24 13:14 ng0 Description Updated View Revisions
2017-09-25 10:48 ng0 Note Added: 0012434
2017-09-25 10:48 ng0 Assigned To => ng0
2017-09-25 10:48 ng0 Status new => assigned
2017-09-25 10:49 ng0 Status assigned => acknowledged
2017-09-25 19:40 ng0 Summary package contributors votes needed to decide on the minimal required Texinfo + Texlive version => decide on the minimal required Texinfo version
2017-09-25 19:40 ng0 Description Updated View Revisions
2017-09-27 16:10 ng0 Status acknowledged => confirmed
2017-09-27 20:20 ng0 Relationship added child of 0005141
2017-10-02 18:57 ng0 Status confirmed => assigned
2017-10-04 15:27 Christian Grothoff Note Added: 0012462
2017-10-08 16:10 ng0 Note Added: 0012467
2018-01-21 13:54 ng0 Note Added: 0012816
2018-06-26 08:27 Christian Grothoff Note Added: 0013078
2018-10-30 19:03 ng0 Status assigned => resolved
2018-10-30 19:03 ng0 Resolution open => fixed
2018-10-30 19:03 ng0 Fixed in Version => SVN HEAD
2018-10-30 19:03 ng0 Note Added: 0013299
+Issue History